# $Id: calltree.spec,v 1.6 2003/05/23 15:41:33 rexdieter Exp $

%define valgrind_ver 0:2.0.0

Summary: This is a skin (aka plugin) for Valgrind
Name:	 callgrind
Version: 0.9.8
Release: 0.fdr.0%{?dist_tag}
License: GPL
Url:	 http://kcachegrind.sourceforge.net/
Group:	 Development/Debuggers
Source:	 http://kcachegrind.sourceforge.net/callgrind-0.9.8.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: calltree

Requires: valgrind >= %{valgrind_ver} 
Requires: binutils

BuildRequires: gcc-c++
BuildRequires: valgrind-devel >= %{valgrind_ver} 

%description 
This is a skin (aka plugin) for Valgrind, a program instrumentation 
system for x86-linux. It is based on the cachegrind skin, a cache 
simulator from the valgrind core package. It adds call-graph profiling.


%prep
%setup -q 


%build
%configure --program-prefix="%{?_program_prefix}" 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

#makeinstall
make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

## remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/valgrind


%files 
%defattr(-,root,root,-)
%doc docs/*.html
%{_bindir}/*
%{_includedir}/valgrind/*
%{_libdir}/valgrind/*


%clean
rm -rf $RPM_BUILD_ROOT 


%changelog
* Tue Aug 31 2004 Rex Dieter <rexdieter at sf.net> 0:0.9.8-0.fdr.0
- calltree -> callgrind-0.9.8

* Fri May 23 2003 Rex Dieter <rexdieter at sf.net> 0:0.2.95-0.fdr.0
- fedora'ize.

* Wed May 07 2003  Bob Tanner <tanner@real-time.com>
+ calltree-0.2.95-1.realtime
- initial release
